DKBSignDocs

API reference

POSTRequires Bearer token

Return to the previous step

/api/workflows/transactions/step/process/return

Submit /api/workflows/transactions/step/process/return. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
transaction_id
Required
integerCurrent step transaction id.
e.g. 44
motif_retour
Required
stringReturn reason (max 1000).
e.g. "Missing annex"

Responses

StatusMeaning
200Returned
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/workflows/transactions/step/process/return' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"transaction_id":44,"motif_retour":"Missing annex"}'

Response 200

json
{
  "status": "success",
  "message": "Document renvoyé à l'étape précédente",
  "reopened_transaction": {
    "id": 44,
    "current_step_id": 7,
    "next_step_id": 8,
    "status": "in_progress"
  }
}